API referenceWebhooks
Webhooks
HTTP operations for webhooks.
Read as Markdown ↗| Operation | Reference |
|---|---|
GET /v1/webhooks | List webhooks |
POST /v1/webhooks | Add a webhook |
GET /v1/webhooks/events | List recent events |
GET /v1/webhooks/events/{event_id} | Read one event's deliveries |
GET /v1/webhooks/{webhook_id} | Read a webhook |
PATCH /v1/webhooks/{webhook_id} | Edit a webhook |
DELETE /v1/webhooks/{webhook_id} | Delete a webhook |
GET /v1/webhooks/{webhook_id}/secret | Retrieve the signing secret |
POST /v1/webhooks/{webhook_id}/secret/rotate | Rotate the signing secret |
GET /v1/webhooks/{webhook_id}/headers | List custom header names |
PATCH /v1/webhooks/{webhook_id}/headers | Set or remove custom headers |
GET /v1/webhooks/{webhook_id}/attempts | List delivery attempts |